#ifndef _GNOME_PRESENCE_APPLET_H_
#define _GNOME_PRESENCE_APPLET_H_

#include <libgalago-gtk/galago-gtk.h>
#include <panel-applet.h>
#include <gconf/gconf-client.h>

typedef struct _PresenceApplet PresenceApplet;

#include "prefs-dialog.h"

struct _PresenceApplet
{
	PanelApplet *panel_applet;
	PanelAppletOrient orient;
	gint panel_size;

	GConfClient *gconf_client;

	GtkWidget *icon;
	GtkWidget *label;
	GtkWidget *menu;

	GalagoPerson *person;

	GHashTable *people_table;

	guint dim_idle_id;
	guint show_idle_id;
	guint people_monitored_id;

	unsigned long person_added_id;
	unsigned long galago_registered_id;

	PrefsDialog *prefs_dialog;
};

#define PRESENCE_MONITOR_KEY_PREFIX "/apps/gnome-presence-applet"

#define PRESENCE_MONITOR_KEY_DIM_IDLE         "dim_idle"
#define PRESENCE_MONITOR_KEY_SHOW_IDLE_TIME   "show_idle_time"
#define PRESENCE_MONITOR_KEY_PEOPLE_MONITORED "monitored"
#define PRESENCE_MONITOR_KEY_ACTIVE_PERSON    "active"

#endif /* _GNOME_PRESENCE_APPLET_H_ */
